CVE-2018-15469

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An issue was discovered in Xen through 4.11.x. ARM never properly implemented grant table v2, either in the hypervisor or in Linux. Unfortunately, an ARM guest can still request v2 grant tables; they will simply not be properly set up, resulting in subsequent grant-related hypercalls hitting BUG() checks. An unprivileged guest can cause a BUG() check in the hypervisor, resulting in a denial-of-service (crash).

References

http://xenbits.xen.org/xsa/advisory-268.html

https://lists.debian.org/debian-lts-announce/2018/11/msg00013.html

https://security.gentoo.org/glsa/201810-06

Details

Source: MITRE

Published: 2018-08-17

Updated: 2019-03-08

Type: CWE-400

Risk Information

CVSS v2

Base Score: 4.9

Vector: AV:L/AC:L/Au:N/C:N/I:N/A:C

Impact Score: 6.9

Exploitability Score: 3.9

Severity: MEDIUM

CVSS v3

Base Score: 6.5

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H

Impact Score: 4

Exploitability Score: 2

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:xen:xen:*:*:*:*:*:*:*:* versions up to 4.11.0 (inclusive)

Configuration 2

OR

cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:*

Tenable Plugins

View all (10 total)

IDNameProductFamilySeverity
123167openSUSE Security Update : xen (openSUSE-2019-1046) (Foreshadow)NessusSuSE Local Security Checks
high
120490Fedora 28 : xen (2018-683dfde81a) (Foreshadow)NessusFedora Local Security Checks
medium
120196SUSE SLED15 / SLES15 Security Update : xen (SUSE-SU-2018:4300-1) (Foreshadow)NessusSuSE Local Security Checks
high
119951openSUSE Security Update : xen (openSUSE-2018-1624) (Foreshadow)NessusSuSE Local Security Checks
high
118892Debian DLA-1577-1 : xen security updateNessusDebian Local Security Checks
high
118563openSUSE Security Update : xen (openSUSE-2018-1331) (Foreshadow)NessusSuSE Local Security Checks
critical
118506GLSA-201810-06 : Xen: Multiple vulnerabilities (Foreshadow) (Meltdown) (Spectre)NessusGentoo Local Security Checks
critical
118491SUSE SLED12 / SLES12 Security Update : xen (SUSE-SU-2018:3490-1) (Foreshadow)NessusSuSE Local Security Checks
critical
112234Fedora 27 : xen (2018-915602df63) (Foreshadow)NessusFedora Local Security Checks
medium
112156Xen Project ARM Grant Table v2 DoS (XSA-268)NessusMisc.
medium